Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet
Interface DirMLetMBean

All Superinterfaces:
  Component, ComponentSupportMBean, Loggable, Persistentable, java.lang.Runnable, java.io.Serializable, Service, ServiceSupportMBean

public interface DirMLetMBean
extends ServiceSupportMBean

MLet Monitor interface

Author:
  Young Yang

Method Summary
`void` | `addPath(java.lang.String path)` add a path want to be load, must be a directory
`javax.management.ObjectName` | `getMLet()` get is't MLet ObjectName
`javax.management.loading.MLetMBean` | `getMLetInstance()` the object instance of it's MLet
`java.lang.String[]` | `getPathes()` get the pathes have loaded
`long` | `getSleepTime()`
`void` | `setMLet(javax.management.ObjectName mletObjectName)` set the ObjectName of MLet for load MBean
`void` | `setSleepTime(long milSec)` set the sleep time in millisecond

Methods inherited from interface org.huihoo.jfox.service.Service
`isRunning, start, stop`

Methods inherited from interface org.huihoo.jfox.service.Component
`destroy, getName, getState, init`

Methods inherited from interface org.huihoo.jfox.service.Loggable
`getLogger`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface org.huihoo.jfox.service.ComponentSupportMBean
`getObjectName, getProxyInstance`

Method Detail

### getPathes

    public java.lang.String[] getPathes()

  get the pathes have loaded

### addPath

    public void addPath(java.lang.String path)

  add a path want to be load, must be a directory

### setMLet

    public void setMLet(javax.management.ObjectName mletObjectName)

  set the ObjectName of MLet for load MBean

### getMLet

    public javax.management.ObjectName getMLet()

  get is't MLet ObjectName

### getMLetInstance

    public javax.management.loading.MLetMBean getMLetInstance()

  the object instance of it's MLet

### setSleepTime

    public void setSleepTime(long milSec)

  set the sleep time in millisecond

### getSleepTime

    public long getSleepTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD